Skip to Content.
Sympa Menu

sm-commit - [SM-Commit] GIT changes to master grimoire by Thomas Orgis (6960e5e51b6035894de686ce270467a0c38445fb)

sm-commit AT lists.ibiblio.org

Subject: Source Mage code commit list

List archive

Chronological Thread  
  • From: Thomas Orgis <scm AT mail.sourcemage.org>
  • To: sm-commit AT lists.ibiblio.org
  • Subject: [SM-Commit] GIT changes to master grimoire by Thomas Orgis (6960e5e51b6035894de686ce270467a0c38445fb)
  • Date: Sun, 3 Sep 2006 06:04:28 -0500

GIT changes to master grimoire by Thomas Orgis <sobukus AT sourcemage.org>:

ChangeLog | 4 ++++
groups | 7 +++++++
printer/epstool/BUILD | 2 ++
printer/epstool/DEPENDS | 1 +
printer/epstool/DETAILS | 24 ++++++++++++++++++++++++
printer/epstool/HISTORY | 2 ++
printer/epstool/INSTALL | 1 +
smgl/init.d/CONFIGURE | 6 +++++-
smgl/init.d/FINAL | 16 ++++++++--------
smgl/init.d/HISTORY | 8 ++++++++
smgl/init.d/INSTALL | 38 ++++++++++++++++++++++++++------------
smgl/init.d/PRE_BUILD | 46 +++++++++++++++++++++++++++++++++++++---------
12 files changed, 125 insertions(+), 30 deletions(-)

New commits:
commit 6960e5e51b6035894de686ce270467a0c38445fb
Author: Thomas Orgis <sobukus AT sourcemage.org>
Commit: Thomas Orgis <sobukus AT sourcemage.org>

adding spell for epstool

commit 557bc9028c2705ae3d65b7973234a8ed03a5dfd7
Author: Thomas Orgis <sobukus AT sourcemage.org>
Commit: Thomas Orgis <sobukus AT sourcemage.org>

fixes to init.d according to bug #12964

diff --git a/ChangeLog b/ChangeLog
index 89ddaec..f4627ff 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,7 @@
+2006-09-03 Thomas Orgis <sobukus AT sourcemage.org>
+ * groups: added missing groups for init.d spell
+ * printer/epstool: new spell, mangling of eps files
+
2006-09-03 Juuso Alasuutari <iuso AT sourcemage.org>
* gnome2-libs/flowcanvas: New spell, Gnomecanvasmm widget.
* audio-creation/om-synth: New spell, modular soft synth.
diff --git a/groups b/groups
index bc46a8e..d02725b 100755
--- a/groups
+++ b/groups
@@ -1,12 +1,19 @@
# FORMAT: <group>:<GID>:

daemon:1:
+tty:5:
+disk:6:
+lp:7:
mail:8:
news:9:
uucp:10:
+sys:11:
proxy:13:
+kmem:15:
ppp:20:
cdrom:24:
+floppy:25:
+audio:29:
www-data:33:
utmp:43:
games:60:
diff --git a/printer/epstool/BUILD b/printer/epstool/BUILD
new file mode 100755
index 0000000..07b4546
--- /dev/null
+++ b/printer/epstool/BUILD
@@ -0,0 +1,2 @@
+#simple, eh?
+make EPSTOOL_BASE=${INSTALL_ROOT}/usr
diff --git a/printer/epstool/DEPENDS b/printer/epstool/DEPENDS
new file mode 100755
index 0000000..cae844f
--- /dev/null
+++ b/printer/epstool/DEPENDS
@@ -0,0 +1 @@
+depends POSTSCRIPT-INTERPRETER
diff --git a/printer/epstool/DETAILS b/printer/epstool/DETAILS
new file mode 100755
index 0000000..e4f75d9
--- /dev/null
+++ b/printer/epstool/DETAILS
@@ -0,0 +1,24 @@
+ SPELL=epstool
+ VERSION=3.08
+ SOURCE=epstool-3.08.tar.gz
+
SOURCE_URL[0]=ftp://mirror.cs.wisc.edu/pub/mirrors/ghost/ghostgum/epstool-3.08.tar.gz
+
SOURCE_HASH=sha512:d6d70825c7d08cca318503bd8c12b48408b6d6cd3a64f26df94890373a3e73b68dc09a4eb454b81893c7ee3c11da791cdfed7466eb1410414cd1b97d80e8abf1
+SOURCE_DIRECTORY=${BUILD_DIRECTORY}/${SPELL}-${VERSION}
+ WEB_SITE=http://www.cs.wisc.edu/~ghost/gsview/epstool.htm
+ ENTERED=20060721
+ UPDATED=20060721
+ LICENSE[0]=GPL
+ BUILD_API=2
+ SHORT="A tool to work with eps files (previews/bounding
box/bitmap conversion)"
+cat << EOF
+epstool can do several useful things with EPS files:
+
+ - Add EPSI, DOS EPS or Mac PICT previews.
+ - Extract PostScript from DOS EPS files.
+ - Create a TIFF, WMF, PICT or Interchange preview from part of
+ a bitmap created by Ghostscript.
+ - Repair BoundingBox - convert to bitmap
+
+It uses ghostscript for a good deal of the work, but it's not just a "dumb"
+frontend saving you some gs options...
+EOF
diff --git a/printer/epstool/HISTORY b/printer/epstool/HISTORY
new file mode 100644
index 0000000..15cf2de
--- /dev/null
+++ b/printer/epstool/HISTORY
@@ -0,0 +1,2 @@
+2006-07-21 Thomas Orgis <sobukus AT sourcemage.org>
+ * DETAILS, DEPENDS, BUILD, INSTALL, HISTORY: created spell
diff --git a/printer/epstool/INSTALL b/printer/epstool/INSTALL
new file mode 100755
index 0000000..5149ff8
--- /dev/null
+++ b/printer/epstool/INSTALL
@@ -0,0 +1 @@
+make EPSTOOL_BASE=${INSTALL_ROOT}/usr install
diff --git a/smgl/init.d/CONFIGURE b/smgl/init.d/CONFIGURE
index 604e247..86d7bf2 100755
--- a/smgl/init.d/CONFIGURE
+++ b/smgl/init.d/CONFIGURE
@@ -16,4 +16,8 @@ if grep -q devfs /proc/filesystems &&
message "\n${MESSAGE_COLOR}NOTICE: Switching from devfs to udev or static
currently needs manual editing of /etc/fstab.${DEFAULT_COLOR}\n"
fi &&

-config_query_list DEVICES "Choose /dev management mode:" $DEVICES_LIST
+config_query_list DEVICES "Choose /dev management mode:" $DEVICES_LIST &&
+if [[ "$DEVICES" != "devfs" ]]
+then
+ config_query CREATE_DEV_TREE "check for / create static /dev tree" y
+fi
diff --git a/smgl/init.d/FINAL b/smgl/init.d/FINAL
index 39e56ed..85c7a5c 100755
--- a/smgl/init.d/FINAL
+++ b/smgl/init.d/FINAL
@@ -1,8 +1,7 @@
-if [ -e /tmp/initd_first_install ] ; then
- install -m 754 $SCRIPT_DIRECTORY/files/tshutdown /sbin/tshutdown
+if [[ ${INITD_FIRST} == y ]] ; then
+ install -m 754 $SCRIPT_DIRECTORY/files/tshutdown
${INSTALL_ROOT}/sbin/tshutdown
install -m 754 $SCRIPT_DIRECTORY/files/smgl-cleanup \
- /etc/init.d/runlevels/%S/
- rm -f /tmp/initd_first_install
+ ${INSTALL_ROOT}/etc/init.d/runlevels/%S/
fi

if [ -e /tmp/devices2dev ] ; then
@@ -20,7 +19,7 @@ if [ -e /tmp/devices2dev ] ; then
rm /tmp/devices2dev
fi

-sedit "s/DEVICES=.*/DEVICES=$DEVICES/" /etc/sysconfig/devices
+sedit "s/DEVICES=.*/DEVICES=$DEVICES/"
${INSTALL_ROOT}/etc/sysconfig/devices

if [ "$DEVICES" == "devfs" ]; then
sedit "s:/dev/tty\(.\):/dev/vc/\1:" ${INSTALL_ROOT}/etc/inittab
@@ -30,6 +29,7 @@ else
fi

# remove /etc/inittab from the simpleinit install log
+# this should work for $INSTALL_ROOT/etc/inittab, too
for i in $INSTALL_LOGS/simpleinit* $MD5SUM_LOGS/simpleinit*
do if [ -f $i ] ; then
sedit "/\/etc\/inittab/D" $i
@@ -41,9 +41,9 @@ # The next sedit is to fix my (sandalle)
# where casting from a queue (or not using -r) will not reassign
# it. Should be removed in about a month (~20040926)
#
-if grep -q "mountall$" /etc/sysconfig/facilities; then
- message "${MESSAGE_COLOR}Fixing
/etc/sysconfig/facilities:local_fs${DEFAULT_COLOR}" &&
- sedit 's:mountall:mountall.sh:' /etc/sysconfig/facilities
+if grep -q "mountall$" ${INSTALL_ROOT}/etc/sysconfig/facilities; then
+ message "${MESSAGE_COLOR}Fixing
${INSTALL_ROOT}/etc/sysconfig/facilities:local_fs${DEFAULT_COLOR}" &&
+ sedit 's:mountall:mountall.sh:' ${INSTALL_ROOT}/etc/sysconfig/facilities
fi &&
#
# End rename fix
diff --git a/smgl/init.d/HISTORY b/smgl/init.d/HISTORY
index 6598769..234ba19 100644
--- a/smgl/init.d/HISTORY
+++ b/smgl/init.d/HISTORY
@@ -1,3 +1,11 @@
+2006-09-03 Thomas Orgis <sobukus AT sourcemage.org>
+ * CONFIGURE, FINAL, INSTALL, PRE_BUILD: several fixes accoring
+ to bug #12964, namely:
+ - more consistend INSTALL_ROOT
+ - better backup routine
+ - adding needed groups, better static dev creation (early asking)
+ - first install marker by variable, not file
+
2006-07-11 Juuso Alasuutari <iuso AT sourcemage.org>
* PREPARE: Changed exit 1's to return 1's, bug #12838.

diff --git a/smgl/init.d/INSTALL b/smgl/init.d/INSTALL
index d0ca990..57e8638 100755
--- a/smgl/init.d/INSTALL
+++ b/smgl/init.d/INSTALL
@@ -1,16 +1,27 @@
check_static_dev () {
echo "checking if your static /dev is ok..." &&
mkdir /tmp/$$.bindmount &&
- mount --bind / /tmp/$$.bindmount &&
+ mount --bind ${INSTALL_ROOT}/ /tmp/$$.bindmount &&
cd /tmp/$$.bindmount/dev &&
if [ ! -c console -o ! -c null ]; then
- if query "You don't seem to have a static /dev tree, should i create it
?" y
- then $SCRIPT_DIRECTORY/MAKEDEV generic-nopty md
- mkdir -p shm pts &&
- mknod initctl p
- fi
+ message "Ok, going to create!" &&
+ # asked in CONFIGURE
+ # if query "You don't seem to have a static /dev tree, should i create it
?" y
+ # then
+ create_group kmem &&
+ create_group tty &&
+ create_group ppp &&
+ create_group lp &&
+ create_group disk &&
+ create_group floppy &&
+ create_group audio &&
+ # existing nodes should not make me fail
+ $SCRIPT_DIRECTORY/MAKEDEV generic-nopty md || true &&
+ mkdir -p shm pts &&
+ mknod initctl p || true
+ # fi
else
- echo "seems ok"
+ echo "seems ok"
fi &&
cd / &&
umount /tmp/$$.bindmount &&
@@ -39,7 +50,7 @@ FD=$SCRIPT_DIRECTORY/files # Files Di
ID=${INSTALL_ROOT}/etc/init.d # Init Dir
RD=${INSTALL_ROOT}/etc/init.d/runlevels # Runlevels Dir

-if [ "$DEVICES" != "devfs" ]; then
+if [[ "$DEVICES" != "devfs" ]] && [[ "$CREATE_DEV_TREE" == y ]]; then
check_static_dev
fi &&

@@ -78,19 +89,22 @@ mkdep 3 2
mkdep 4 3 &&
mkdep 5 4 &&

-if ! grep -sq runlevels /etc/inittab ; then
- pinfo "Installing /etc/inittab..." &&
+if ! grep -sq runlevels ${INSTALL_ROOT}/etc/inittab ; then
+ pinfo "Installing ${INSTALL_ROOT}/etc/inittab..." &&
install -v -m 644 $FD/inittab ${INSTALL_ROOT}/etc/inittab
fi &&

pinfo "Other stuff..." &&

# Proper shutdown procedure
-ln -fsv ${TRACK_ROOT}/etc/sysconfig/shutdown
${INSTALL_ROOT}/etc/shutdown.conf &&
+# TRACK_ROOT???
+# ln -fsv ${TRACK_ROOT}/etc/sysconfig/shutdown
${INSTALL_ROOT}/etc/shutdown.conf &&
+ln -fsv sysconfig/shutdown ${INSTALL_ROOT}/etc/shutdown.conf &&

# Yeah, I know
ln -sfv /bin/true $RD/rc &&

# LILO uses the auto runlevel when it doesn't encounter any user input
-ln -sfv /etc/init.d/runlevels/%default \
+# path relative to be safer for chroots
+ln -sfv %default \
${INSTALL_ROOT}/etc/init.d/runlevels/%auto
diff --git a/smgl/init.d/PRE_BUILD b/smgl/init.d/PRE_BUILD
index 4270519..077e14d 100755
--- a/smgl/init.d/PRE_BUILD
+++ b/smgl/init.d/PRE_BUILD
@@ -1,21 +1,49 @@
# Remove old init.d
+persistent_add INITD_FIRST &&
+INITD_FIRST=n &&
if ! [ "$CROSS_INSTALL" = "on" ] ; then
-if [ ! -e /etc/init.d/smgl_init ] ; then
- touch /tmp/initd_first_install
+if [ ! -e ${INSTALL_ROOT}/etc/init.d/smgl_init ] ; then

- mkdir -p /etc/init.d.backup
+ INITD_FIRST=y &&

- mv /etc/init.d /etc/init.d.backup
+ if [[ -e ${INSTALL_ROOT}/etc/init.d ]]
+ then
+
+ message "doing backup of old init.d" &&
+ local bd=${INSTALL_ROOT}/etc/init.d.backup &&
+
+ if [[ -e ${bd} ]]
+ then
+ message "$bd exists, trying with number suffix" &&
+ local num=2 &&
+ while [[ -e ${bd}.$num ]]
+ do
+ let num+=1 &&
+ message "trying ${bd}.$num..."
+ done
+ message "using ${bd}.$num" &&
+ bd=${bd}.$num
+ fi &&
+
+
+ mkdir -pv $bd &&
+
+ mv -v ${INSTALL_ROOT}/etc/init.d ${bd} &&

for l in 0 1 2 3 4 5 6 S ; do
- [ -d /etc/rc$l.d ] && mv /etc/rc$l.d /etc/init.d.backup
+ if [[ -d ${INSTALL_ROOT}/etc/rc$l.d ]]
+ then
+ mv ${INSTALL_ROOT}/etc/rc$l.d ${bd}
+ fi
done
+
+ fi
fi
-fi
+fi &&

# remove left behind file, bug #5784.
-if [ -f /etc/init.d/runlevels/%3/z-misc.sh ]; then
- rm /etc/init.d/runlevels/%3/z-misc.sh
-fi
+if [ -f ${INSTALL_ROOT}/etc/init.d/runlevels/%3/z-misc.sh ]; then
+ rm ${INSTALL_ROOT}/etc/init.d/runlevels/%3/z-misc.sh
+fi &&

true




Archive powered by MHonArc 2.6.24.

Top of Page